AccountPermissionUpdate

Update the account's permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Transaction - JSON object: Unsigned transaction, please refer to the Transaction chapter for the fields contained in it. Since the transaction type is AccountPermissionUpdateContract, the fields contained in raw_data.contract[0].parameter.value in the transaction are as follows:

FieldTypeDescription
owner_addressstringAccount address.
ownerPermissionAccount's owner permission. Fields in Permission object contains:
  • type (int): Permission type.
  • permission_name (string): Name of the permission (e.g., ""owner"").
  • threshold (int64): Minimum combined weight of signatures required.
  • parent_id (int32): Parent permission ID (defaults to 0).
  • operations (string): A 32-byte hex string representing the allowed operations.
  • keys (Key[]): List of associated addresses and weights (max 5).
witnessPermissionWitness permission details for a Super Representative (SR) account.
activesPermission[]List of active permissions for the account.
Body Params
string
required

Account address (format: Base58 or Hex). Example: TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y

json
required

List of active permissions for the account. Example: [{ "type": 2, "permission_name": "active0", "threshold": 2, "operations": "7fff1fc0037e0000000000000000000000000000000000000000000000000000", "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }, { "address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1", "weight": 1 }] }]

json
required

Owner permission object of the account. Example: { "type": 0, "permission_name": "owner", "threshold":1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }] }

json

Witness permission object (for Super Representatives). Example: {"type": 1, "permission_name": "witness", "threshold": 1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }]}

boolean

Set to true to format addresses in Base58; set to false for hex format. (Default: false)

string

Permission ID used for multi-signature.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json